import fetch from '../api/fetch.js'

export default {
  dicList() {
    return fetch(
      '/blade-project-manage/projectstage/v1/getProjectStageList?projectId=636e468f1b02b2323a45205f'
    )
  },
  submit(params) {
    // 保存上传文件素材
    return fetch('/wutong-library/library/save', params, 'post', 'json')
  },
  basicFormRequest(url) {
    return fetch(url)
  },
  /**
   * 投资是否低于平均值
   */
  belowAverage(params) {
    return fetch(
      '/blade-project-manage-v2/project/v2/isBelowAvg',
      params,
      'post',
      'json'
    )
  },
  /**
   * 统计各类型项目数
   */
  proNumList(params) {
    return fetch(
      '/blade-project-manage-v2/project/v2/projectStageNumber',
      params,
      'post',
      'json'
    )
  },
  /**
   * 年度投资统计
   */
  investmentProportion(params) {
    return fetch(
      '/blade-project-manage-v2/project/v2/countInvestment',
      params,
      'post',
      'json'
    )
  },
  /**
   * 下属部门投资完成情况
   */
  investmentCompleted(params) {
    return fetch(
      '/blade-project-manage-v2/project/v2/countChildrenDeptInvestment',
      params,
      'post'
    )
  },
  /**
   * 项目投资情况分析
   */
  investmentAnalysis(params) {
    return fetch(
      '/blade-project-manage-v2/project/v2/investmentAnalysis',
      params,
      'post'
    )
  },
  /**
   * 项目入库开工情况
   */
  startWarehousing(params) {
    return fetch(
      '/blade-project-manage-v2/project/v2/storageStartCount',
      params,
      'post'
    )
  },
  /**
   * 月累计完成情况
   */
  monthlyAccumulation(params) {
    return fetch(
      '/blade-project-manage-v2/project/v2/monthCount',
      params,
      'post'
    )
  },
  /**
   * 资金投向领域
   */
  investmentAreas(params) {
    return fetch(
      '/blade-project-manage-v2/project/v2/moneyFieldCount',
      params,
      'post',
      'json'
    )
  },
  /**
   * 投资分类占比
   */
  proportionOfClassification(params) {
    return fetch(
      '/blade-project-manage-v2/project/v2/investmentAategory',
      params,
      'post',
      'json'
    )
  }
}
